summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Martin Rogge <martin_rogge@users.sourceforge.net>2013-03-16 19:37:53 (GMT)
committer dsomero <xgizzmo@slackbuilds.org>2013-03-22 11:16:49 (GMT)
commit7bcb0a37c5f54cc698dd0097b097cef79c8ccf7e (patch)
treec24b557ddd98791ce00fd996903617f57622ca0e
parent062d08967109e0a71c375083878b5f73e7b2ba28 (diff)
downloadslackbuilds-7bcb0a37c5f54cc698dd0097b097cef79c8ccf7e.tar.gz
slackbuilds-7bcb0a37c5f54cc698dd0097b097cef79c8ccf7e.tar.xz
games/singularity: Added (Alternative client for SecondLife)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
-rw-r--r--games/singularity/README4
-rw-r--r--games/singularity/doinst.sh16
-rw-r--r--games/singularity/singularity.SlackBuild88
-rw-r--r--games/singularity/singularity.desktop10
-rw-r--r--games/singularity/singularity.info10
-rw-r--r--games/singularity/slack-desc19
6 files changed, 147 insertions, 0 deletions
diff --git a/games/singularity/README b/games/singularity/README
new file mode 100644
index 0000000..b1d6b11
--- /dev/null
+++ b/games/singularity/README
@@ -0,0 +1,4 @@
+Singularity Viewer is an exciting client for Second Life and OpenSim,
+which strives to combine the beloved look and feel of Viewer 1.23
+with the latest and greatest of available technology, and to stay
+compatible with future Second Life changes and features.
diff --git a/games/singularity/doinst.sh b/games/singularity/doinst.sh
new file mode 100644
index 0000000..b178998
--- /dev/null
+++ b/games/singularity/doinst.sh
@@ -0,0 +1,16 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+config opt/singularity/singularity.new
+
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database 1> /dev/null &> /dev/null
+fi
diff --git a/games/singularity/singularity.SlackBuild b/games/singularity/singularity.SlackBuild
new file mode 100644
index 0000000..8a04377
--- /dev/null
+++ b/games/singularity/singularity.SlackBuild
@@ -0,0 +1,88 @@
+#!/bin/sh
+
+# Slackware build script for Singularity Viewer
+#
+# This script will repackage the binary distribution into a Slackware package
+#
+# Martin Rogge <martin_rogge@users.sourceforge.net>
+
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=singularity
+VERSION=${VERSION:-1.7.3.3624}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i686 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+BASENAME="Singularity-${ARCH}-${VERSION}"
+FILENAME="Singularity-${ARCH}-${VERSION}.tar.bz2"
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $BASENAME
+tar xvjf $CWD/$FILENAME
+cd $BASENAME
+chown -R root:root .
+chmod -R u+rw-s,go+r-ws .
+
+mkdir -p $PKG/opt/$PRGNAM
+# copy files just like the install script would do
+cp -a * $PKG/opt/$PRGNAM
+# avoid overwriting the previous configuration
+mv $PKG/opt/$PRGNAM/singularity $PKG/opt/$PRGNAM/singularity.new
+# sound configuration for standard Slackware installation
+cat singularity | sed -e 's/^#export LL_BAD_OPENAL_DRIVER=x/export LL_BAD_OPENAL_DRIVER=x/' > $PKG/opt/$PRGNAM/singularity.new
+
+mkdir -p $PKG/usr/bin
+cat << EOF > $PKG/usr/bin/$PRGNAM
+#!/bin/bash
+cd /opt/$PRGNAM
+exec /opt/$PRGNAM/singularity
+EOF
+chmod 755 $PKG/usr/bin/$PRGNAM
+
+install -m 0644 -p -D $TMP/$BASENAME/singularity_icon.png $PKG/usr/share/pixmaps/$PRGNAM.png
+
+mkdir -p $PKG/usr/share/applications
+cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a *.txt $PKG/usr/doc/$PRGNAM-$VERSION/
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/singularity/singularity.desktop b/games/singularity/singularity.desktop
new file mode 100644
index 0000000..0756e27
--- /dev/null
+++ b/games/singularity/singularity.desktop
@@ -0,0 +1,10 @@
+[Desktop Entry]
+Type=Application
+Version=1.0
+Name=Singularity Viewer
+GenericName=Second Life Client
+Icon=singularity
+Exec=singularity
+Terminal=false
+StartupNotify=false
+Categories=Game;ActionGame;
diff --git a/games/singularity/singularity.info b/games/singularity/singularity.info
new file mode 100644
index 0000000..2c2954a
--- /dev/null
+++ b/games/singularity/singularity.info
@@ -0,0 +1,10 @@
+PRGNAM="singularity"
+VERSION="1.7.3.3624"
+HOMEPAGE="http://www.singularityviewer.org/"
+DOWNLOAD="https://bitbucket.org/SingularityViewer/singularityviewer/downloads/Singularity-i686-1.7.3.3624.tar.bz2"
+MD5SUM="f4d3007a9f9f989051e4440c5423348e"
+DOWNLOAD_x86_64="https://bitbucket.org/SingularityViewer/singularityviewer/downloads/Singularity-x86_64-1.7.3.3624.tar.bz2"
+MD5SUM_x86_64="cd1e756d3a1d0d9ab6df19d504d259ff"
+REQUIRES=""
+MAINTAINER="Martin Rogge"
+EMAIL="martin_rogge@users.sourceforge.net"
diff --git a/games/singularity/slack-desc b/games/singularity/slack-desc
new file mode 100644
index 0000000..7d37e72
--- /dev/null
+++ b/games/singularity/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+singularity: Singularity (Alternative client for SecondLife)
+singularity:
+singularity: Singularity Viewer is an exciting client for Second Life and OpenSim,
+singularity: which strives to combine the beloved look and feel of Viewer 1.23
+singularity: with the latest and greatest of available technology, and to stay
+singularity: compatible with future Second Life changes and features.
+singularity:
+singularity:
+singularity:
+singularity:
+singularity: